Package Gnumed :: Package business :: Module gmProviderInbox :: Class cProviderInbox |
[frames] | no frames]

# Class cProviderInbox

source code

Instance Methods
__init__(self, provider_id=None) | source code
delete_message(self, pk=None) | source code
add_message(message_type=None, subject=None, patient=None) | source code
get_messages(self, pk_patient=None, include_without_provider=False, exclude_expired=False, expired_only=False, overdue_only=False, unscheduled_only=False, exclude_unscheduled=False, order_by=None) | source code

Properties
| messages

Property Details

### messages Get Method: get_messages(self, pk_patient=None, include_without_provider=False, exclude_expired=False, expired_only=False, overdue_only=False, unscheduled_only=False, exclude_unscheduled=False, order_by=None) Set Method: _set_messages(self, messages)